Bug 108451 - [EFL][WK2] Reenable ewk_auth_request API tests
Summary: [EFL][WK2] Reenable ewk_auth_request API tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-31 03:04 PST by Chris Dumez
Modified: 2013-02-12 15:12 PST (History)
12 users (show)

See Also:


Attachments
Patch (4.47 KB, patch)
2013-01-31 03:12 PST, Chris Dumez
benjamin: review+
Details | Formatted Diff | Diff
Patch for landing (7.10 KB, patch)
2013-02-12 14:01 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2013-01-31 03:04:09 PST
ewk_auth_request API tests have been temporarily disabled after the WK2 C API for resource loading was removed. We need to fix the tests so that they no longer rely on that API and renable them.
Comment 1 Chris Dumez 2013-01-31 03:12:49 PST
Created attachment 185733 [details]
Patch
Comment 2 Chris Dumez 2013-02-08 14:15:56 PST
Could I please get informal review for this one?
Comment 3 Thiago Marcos P. Santos 2013-02-08 14:31:20 PST
Comment on attachment 185733 [details]
Patch

LGTM. Thanks for fixing/re-enabling it.
Comment 4 Laszlo Gombos 2013-02-08 16:17:37 PST
Looks good to me as well.
Comment 5 Benjamin Poulain 2013-02-12 13:48:42 PST
Comment on attachment 185733 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=185733&action=review

> Source/WebKit2/UIProcess/API/efl/tests/test_ewk2_auth_request.cpp:40
>  static const char TEST_USERNAME[] = "username";
>  static const char TEST_PASSWORD[] = "password";
> +static const char EXPECTED_SUCCESS_TITLE[] = "EFLWebKit2 Authentication test";
>  static const char EXPECTED_AUTHORIZATION[] = "Basic dXNlcm5hbWU6cGFzc3dvcmQ="; // Base64 encoding of "username:password".
>  static const char INDEX_HTML_STRING[] =

This style is a bit far from WebKit style.
Comment 6 Chris Dumez 2013-02-12 14:01:10 PST
Created attachment 187928 [details]
Patch for landing

Fixed the naming of the static variables to follow WebKit coding style.
Comment 7 WebKit Review Bot 2013-02-12 15:12:10 PST
Comment on attachment 187928 [details]
Patch for landing

Clearing flags on attachment: 187928

Committed r142678: <http://trac.webkit.org/changeset/142678>
Comment 8 WebKit Review Bot 2013-02-12 15:12:15 PST
All reviewed patches have been landed.  Closing bug.